Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

List tasks

Prev Next
Post
/list/task

Used to get a list of tasks.

Body parameters
object
apptoken
string Required

Your App token

limit
integer (int32)

Used with offset for pagination

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "id": "5853",
      "project_id": "1",
      "identifier": "profile_import",
      "params": {
        "fileId": "11ead35649121a69b6400a5174242624",
        "profileIdentifier": "1"
      },
      "errors": {
        "file[columns]": [
          "Column 'firstname' is not set to be a profile attribute"
        ],
        "file[rows]": [
          "Rows must contain identifier (Row 4)"
        ]
      },
      "create_time": "1596217813",
      "start_time": "1596217813",
      "finish_time": "1596217813",
      "status": "2"
    },
    {
      "id": "5852",
      "project_id": "1",
      "identifier": "profile_import",
      "params": {
        "fileId": "11ead35443ecf5b6b6400a5174242624",
        "profileIdentifier": "1"
      },
      "errors": {
        "file[columns]": [
          "Column 'first.name' is not a recognized user profile field or attribute",
          "Column 'LTV' is not a recognized user profile field or attribute"
        ]
      },
      "create_time": "1596216945",
      "start_time": "1596216946",
      "finish_time": "1596216946",
      "status": "2"
    },
    {
      "id": "62",
      "project_id": "1",
      "identifier": "profile_import",
      "params": {
        "fileId": "11ea41e98278cd8abd07065d6cbde52a",
        "profileIdentifier": "1"
      },
      "errors": {
        "file[rows]": [
          "7 Rows must contain identifier ( Row 6, Row 11, Row 13, Row 18, ...)",
          "9 Rows are duplicates ( Row 12, Row 14, Row 15, Row 19, ...)"
        ]
      },
      "create_time": "1580228176",
      "start_time": "1580228176",
      "finish_time": "1580228176",
      "status": "2"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
id
integer
Default0
Example5853
project_id
integer
Default0
Example1
identifier
string
Exampleprofile_import
info
string
Example
params
object
fileId
string
Example11ead35649121a69b6400a5174242624
profileIdentifier
integer
Default0
Example1
event
origin
result
errors
object
file[columns]
Array of string
string
ExampleColumn 'firstname' is not set to be a profile attribute
file[rows]
Array of string
string
ExampleRows must contain identifier (Row 4)
create_time
integer
Default0
Example1596217813
start_time
integer
Default0
Example1596217813
finish_time
integer
Default0
Example1596217813
status
integer
Default0
Example2
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string